Skip to main content
POST
List threads

Authorizations

Authorization
string
header
required

Customer access token obtained from the customer authorization flow.

Query Parameters

organization_id
string
required

Unique identifier of the organization.

Body

application/json
chat_id
string
required

The chat ID.

sort_order
enum<string>
default:desc
  • asc — oldest threads first
  • desc — newest threads first
Available options:
asc,
desc
limit
integer
default:3

Maximum number of records per page. Cannot be used together with min_events_count.

Required range: x <= 100
page_id
string

Pagination token. Cannot be used together with min_events_count.

min_events_count
integer

Minimum number of events to return across threads. Returns as many latest threads as needed to meet this condition. Cannot be used together with limit or page_id.

Required range: 1 <= x <= 100

Response

200 - application/json

Threads.

threads
object[]

Array of thread objects.

found_threads
integer

Total number of found threads.

next_page_id
string

The pagination token for the next page.

previous_page_id
string

The pagination token for the previous page.